NX Open C++ Reference Guide
|
Represents a Features::ShipDesign::RollingLine builder. More...
Public Types | |
enum | ConstructionMethodTypes { ConstructionMethodTypesMarchingAngle, ConstructionMethodTypesMarchingCurvature, ConstructionMethodTypesParallelPlane, ConstructionMethodTypesMinimumCurvature, ConstructionMethodTypesMaximumCurvature, ConstructionMethodTypesHighlight, ConstructionMethodTypesAsymptote } |
The option to specify the method for creation of the pressure line. More... | |
enum | StartEvaluationTypes { StartEvaluationTypesSheetMidpoint, StartEvaluationTypesPointOnFace, StartEvaluationTypesNewPoint } |
The option for how the starting point for the evaluation of the sheet is to be created if it is not given. More... | |
enum | Types { TypesManual, TypesPressure, TypesGeodesic, TypesSteppedPressure } |
The option for the type of manufacturing operation to be performed on the sheet to form it. More... | |
Public Member Functions | |
NXOpen::Expression * | Angle () |
Returns the angle for either the max amount of rotation at a point for manual type. | |
NXOpen::Expression * | AngleDivisions () |
Returns the number of divisions for dividing the angle when using a manual type. | |
double | AngleTolerance () |
Returns the modeling angle tolerance. | |
NXOpen::Features::ShipDesign::RollingLineBuilder::ConstructionMethodTypes | ConstructionMethodOption () |
Returns the value specifying which construction method to use for creating the rolling line. | |
double | DistanceTolerance () |
Returns the modeling distance tolerance. | |
NXOpen::GeometricAnalysis::DupinBuilder * | DupinIndicatrix () |
Returns the dupin indicatrix for surface analysis. | |
NXOpen::Point * | EvaluationPoint () |
Returns the selected point for evaluation when Features::ShipDesign::RollingLineBuilder::StartEvaluationTypes is Features::ShipDesign::RollingLineBuilder::StartEvaluationTypesNewPoint . | |
NXOpen::Features::ShipDesign::RollingLineBuilder::StartEvaluationTypes | EvaluationPointOption () |
Returns the option on how to seed the starting point for the evaluation. | |
bool | HideConstructionProcess () |
Returns the value specifying if the construction process should be hidden. | |
NXOpen::Expression * | Offset () |
Returns the offset to be applied when marching along the surface to the next point. | |
NXOpen::Expression * | PlanarRadiusLimit () |
Returns the maximum radius on the surface to be considered non-planar. | |
NXOpen::Plane * | PlaneOrientation () |
Returns the plane orientation to be used for Features::ShipDesign::RollingLineBuilder::Types::SteppedPressure . | |
NXOpen::Point3d | PointOnFace () |
Returns the point specified by the surface selection. | |
void | SetAngleTolerance (double angleTolerance) |
Sets the modeling angle tolerance. | |
void | SetConstructionMethodOption (NXOpen::Features::ShipDesign::RollingLineBuilder::ConstructionMethodTypes constructionMethodOption) |
Sets the value specifying which construction method to use for creating the rolling line. | |
void | SetDistanceTolerance (double distanceTolerance) |
Sets the modeling distance tolerance. | |
void | SetEvaluationPoint (NXOpen::Point *evaluationPoint) |
Sets the selected point for evaluation when Features::ShipDesign::RollingLineBuilder::StartEvaluationTypes is Features::ShipDesign::RollingLineBuilder::StartEvaluationTypesNewPoint . | |
void | SetEvaluationPointOption (NXOpen::Features::ShipDesign::RollingLineBuilder::StartEvaluationTypes evaluationPointOption) |
Sets the option on how to seed the starting point for the evaluation. | |
void | SetHideConstructionProcess (bool hideConstructionProcess) |
Sets the value specifying if the construction process should be hidden. | |
void | SetPlaneOrientation (NXOpen::Plane *planeOrientation) |
Sets the plane orientation to be used for Features::ShipDesign::RollingLineBuilder::Types::SteppedPressure . | |
void | SetPointOnFace (const NXOpen::Point3d &pointOnFace) |
Sets the point specified by the surface selection. | |
void | SetSpecifyDirection (NXOpen::Direction *specifyDirection) |
Sets the initial flow direction. | |
void | SetType (NXOpen::Features::ShipDesign::RollingLineBuilder::Types type) |
Sets the value identifying what type of manufacturing process is to be applied to the surface for bending. | |
NXOpen::Direction * | SpecifyDirection () |
Returns the initial flow direction. | |
NXOpen::ScCollector * | Surface () |
Returns the collection of faces that represent the surface to be analyzed. | |
NXOpen::Features::ShipDesign::RollingLineBuilder::Types | Type () |
Returns the value identifying what type of manufacturing process is to be applied to the surface for bending. | |
![]() | |
NXOpen::Features::Feature * | CommitFeature () |
Commits the feature parameters and creates the feature. | |
NXOpen::Features::Feature * | GetFeature () |
Returns the feature currently being edited by this builder. | |
void | HideInternalParentFeatureAfterEdit (NXOpen::Features::Feature *parentFeature) |
Re-suppress an internal parent feature (a slave feature) after it has been edited. | |
bool | ParentFeatureInternal () |
Returns whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
bool | PatchSolutionFlag () |
Returns the patch solution flag Created in NX8.0.1. | |
NXString | PatchSurfaceFilename () |
Returns the patch surface filename Created in NX8.0.1. | |
void | SetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the parent features which would be internal or slaves to the feature being created or commited Created in NX6.0.0. | |
void | SetParentFeatureInternal (bool isInternal) |
Sets whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
void | SetPatchSolutionFlag (bool optionValue) |
Sets the patch solution flag Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const NXString &surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const char *surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const NXString &surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const char *surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | ShowInternalParentFeatureForEdit (NXOpen::Features::Feature *parentFeature) |
Unsuppress an internal parent feature (a slave feature) so it can be edited. | |
NXString | SurroundingPatchSurfaceFilename () |
Returns the surrounding patch surface filename Created in NX8.0.1. | |
void | UnsetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the internal parent feature of the feature being edited to external Created in NX6.0.0. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents a Features::ShipDesign::RollingLine builder.
It is used to create and edit a rolling line feature.
To create a new instance of this class, use Features::ShipCollection::CreateRollingLineBuilder
Default values.
Property | Value |
---|---|
Angle.Value |
15.0 |
AngleDivisions.Value |
3 |
ConstructionMethodOption |
MarchingAngle |
DupinIndicatrix.Angle |
0 |
DupinIndicatrix.FlatnessTolerance |
3500 (millimeters part), 137.8 (inches part) |
DupinIndicatrix.Scale |
1.0 |
EvaluationPointOption |
SheetMidpoint |
HideConstructionProcess |
1 |
Offset.Value |
500.0 (millimeters part), 20.0 (inches part) |
PlanarRadiusLimit.Value |
3500.0 (millimeters part), 137.8 (inches part) |
Created in NX8.0.0.
The option to specify the method for creation of the pressure line.
The option for how the starting point for the evaluation of the sheet is to be created if it is not given.
The option for the type of manufacturing operation to be performed on the sheet to form it.
NXOpen::Expression* NXOpen::Features::ShipDesign::RollingLineBuilder::Angle | ( | ) |
Returns the angle for either the max amount of rotation at a point for manual type.
Created in NX8.0.0.
License requirements : None
NXOpen::Expression* NXOpen::Features::ShipDesign::RollingLineBuilder::AngleDivisions | ( | ) |
Returns the number of divisions for dividing the angle when using a manual type.
Created in NX8.0.0.
License requirements : None
double NXOpen::Features::ShipDesign::RollingLineBuilder::AngleTolerance | ( | ) |
Returns the modeling angle tolerance.
Created in NX8.0.0.
License requirements : None
NXOpen::Features::ShipDesign::RollingLineBuilder::ConstructionMethodTypes NXOpen::Features::ShipDesign::RollingLineBuilder::ConstructionMethodOption | ( | ) |
Returns the value specifying which construction method to use for creating the rolling line.
Created in NX8.0.0.
License requirements : None
double NXOpen::Features::ShipDesign::RollingLineBuilder::DistanceTolerance | ( | ) |
Returns the modeling distance tolerance.
Created in NX8.0.0.
License requirements : None
NXOpen::GeometricAnalysis::DupinBuilder* NXOpen::Features::ShipDesign::RollingLineBuilder::DupinIndicatrix | ( | ) |
Returns the dupin indicatrix for surface analysis.
Created in NX8.0.0.
License requirements : None
NXOpen::Point* NXOpen::Features::ShipDesign::RollingLineBuilder::EvaluationPoint | ( | ) |
Returns the selected point for evaluation when Features::ShipDesign::RollingLineBuilder::StartEvaluationTypes is Features::ShipDesign::RollingLineBuilder::StartEvaluationTypesNewPoint .
Not used for @link Features::ShipDesign::RollingLineBuilder::Types::SteppedPressure Features::ShipDesign::RollingLineBuilder::Types::SteppedPressure@endlink .
Created in NX8.0.0.
License requirements : None
NXOpen::Features::ShipDesign::RollingLineBuilder::StartEvaluationTypes NXOpen::Features::ShipDesign::RollingLineBuilder::EvaluationPointOption | ( | ) |
Returns the option on how to seed the starting point for the evaluation.
Created in NX8.0.0.
License requirements : None
bool NXOpen::Features::ShipDesign::RollingLineBuilder::HideConstructionProcess | ( | ) |
Returns the value specifying if the construction process should be hidden.
True indicates that the process should be hidden. Only valid for a manual type rolling line.
Created in NX8.0.0.
License requirements : None
NXOpen::Expression* NXOpen::Features::ShipDesign::RollingLineBuilder::Offset | ( | ) |
Returns the offset to be applied when marching along the surface to the next point.
Created in NX8.0.0.
License requirements : None
NXOpen::Expression* NXOpen::Features::ShipDesign::RollingLineBuilder::PlanarRadiusLimit | ( | ) |
Returns the maximum radius on the surface to be considered non-planar.
Created in NX8.0.0.
License requirements : None
NXOpen::Plane* NXOpen::Features::ShipDesign::RollingLineBuilder::PlaneOrientation | ( | ) |
Returns the plane orientation to be used for Features::ShipDesign::RollingLineBuilder::Types::SteppedPressure .
Created in NX8.5.0.
License requirements : None
NXOpen::Point3d NXOpen::Features::ShipDesign::RollingLineBuilder::PointOnFace | ( | ) |
Returns the point specified by the surface selection.
This point is set during the UI interaction.
Created in NX8.0.0.
License requirements : nx_ship_concept ("Ship Concept") OR nx_ship_mfg_prep ("Ship Manufacturing")
void NXOpen::Features::ShipDesign::RollingLineBuilder::SetAngleTolerance | ( | double | angleTolerance | ) |
Sets the modeling angle tolerance.
Created in NX8.0.0.
License requirements : nx_ship_concept ("Ship Concept") OR nx_ship_mfg_prep ("Ship Manufacturing")
angleTolerance | angletolerance |
void NXOpen::Features::ShipDesign::RollingLineBuilder::SetConstructionMethodOption | ( | NXOpen::Features::ShipDesign::RollingLineBuilder::ConstructionMethodTypes | constructionMethodOption | ) |
Sets the value specifying which construction method to use for creating the rolling line.
Created in NX8.0.0.
License requirements : nx_ship_concept ("Ship Concept") OR nx_ship_mfg_prep ("Ship Manufacturing")
constructionMethodOption | constructionmethodoption |
void NXOpen::Features::ShipDesign::RollingLineBuilder::SetDistanceTolerance | ( | double | distanceTolerance | ) |
Sets the modeling distance tolerance.
Created in NX8.0.0.
License requirements : nx_ship_concept ("Ship Concept") OR nx_ship_mfg_prep ("Ship Manufacturing")
distanceTolerance | distancetolerance |
void NXOpen::Features::ShipDesign::RollingLineBuilder::SetEvaluationPoint | ( | NXOpen::Point * | evaluationPoint | ) |
Sets the selected point for evaluation when Features::ShipDesign::RollingLineBuilder::StartEvaluationTypes is Features::ShipDesign::RollingLineBuilder::StartEvaluationTypesNewPoint .
Not used for @link Features::ShipDesign::RollingLineBuilder::Types::SteppedPressure Features::ShipDesign::RollingLineBuilder::Types::SteppedPressure@endlink .
Created in NX8.0.0.
License requirements : nx_ship_concept ("Ship Concept") OR nx_ship_mfg_prep ("Ship Manufacturing")
evaluationPoint | evaluationpoint |
void NXOpen::Features::ShipDesign::RollingLineBuilder::SetEvaluationPointOption | ( | NXOpen::Features::ShipDesign::RollingLineBuilder::StartEvaluationTypes | evaluationPointOption | ) |
Sets the option on how to seed the starting point for the evaluation.
Created in NX8.0.0.
License requirements : nx_ship_concept ("Ship Concept") OR nx_ship_mfg_prep ("Ship Manufacturing")
evaluationPointOption | evaluationpointoption |
void NXOpen::Features::ShipDesign::RollingLineBuilder::SetHideConstructionProcess | ( | bool | hideConstructionProcess | ) |
Sets the value specifying if the construction process should be hidden.
True indicates that the process should be hidden. Only valid for a manual type rolling line.
Created in NX8.0.0.
License requirements : nx_ship_concept ("Ship Concept") OR nx_ship_mfg_prep ("Ship Manufacturing")
hideConstructionProcess | hideconstructionprocess |
void NXOpen::Features::ShipDesign::RollingLineBuilder::SetPlaneOrientation | ( | NXOpen::Plane * | planeOrientation | ) |
Sets the plane orientation to be used for Features::ShipDesign::RollingLineBuilder::Types::SteppedPressure .
Created in NX8.5.0.
License requirements : nx_ship_concept ("Ship Concept") OR nx_ship_mfg_prep ("Ship Manufacturing")
planeOrientation | planeorientation |
void NXOpen::Features::ShipDesign::RollingLineBuilder::SetPointOnFace | ( | const NXOpen::Point3d & | pointOnFace | ) |
Sets the point specified by the surface selection.
This point is set during the UI interaction.
Created in NX8.0.0.
License requirements : nx_ship_concept ("Ship Concept") OR nx_ship_mfg_prep ("Ship Manufacturing")
pointOnFace | pointonface |
void NXOpen::Features::ShipDesign::RollingLineBuilder::SetSpecifyDirection | ( | NXOpen::Direction * | specifyDirection | ) |
Sets the initial flow direction.
Not used for Features::ShipDesign::RollingLineBuilder::Types::SteppedPressure .
Created in NX8.0.0.
License requirements : nx_ship_concept ("Ship Concept") OR nx_ship_mfg_prep ("Ship Manufacturing")
specifyDirection | specifydirection |
void NXOpen::Features::ShipDesign::RollingLineBuilder::SetType | ( | NXOpen::Features::ShipDesign::RollingLineBuilder::Types | type | ) |
Sets the value identifying what type of manufacturing process is to be applied to the surface for bending.
Created in NX8.0.0.
License requirements : nx_ship_concept ("Ship Concept") OR nx_ship_mfg_prep ("Ship Manufacturing")
type | type |
NXOpen::Direction* NXOpen::Features::ShipDesign::RollingLineBuilder::SpecifyDirection | ( | ) |
Returns the initial flow direction.
Not used for Features::ShipDesign::RollingLineBuilder::Types::SteppedPressure .
Created in NX8.0.0.
License requirements : None
NXOpen::ScCollector* NXOpen::Features::ShipDesign::RollingLineBuilder::Surface | ( | ) |
Returns the collection of faces that represent the surface to be analyzed.
Created in NX8.0.0.
License requirements : None
NXOpen::Features::ShipDesign::RollingLineBuilder::Types NXOpen::Features::ShipDesign::RollingLineBuilder::Type | ( | ) |
Returns the value identifying what type of manufacturing process is to be applied to the surface for bending.
Created in NX8.0.0.
License requirements : None